[blfs-book] r10989 - in trunk/BOOK: kde/add multimedia/audioutils multimedia/libdriv multimedia/videoutils networking/netprogs pst/printing x/lib xsoft/other

randy at higgs.linuxfromscratch.org randy at higgs.linuxfromscratch.org
Fri Feb 1 14:31:14 PST 2013


Author: randy
Date: Fri Feb  1 14:31:14 2013
New Revision: 10989

Log:
Added gtk-update-icon-cache and update-desktop-database commands to various packages

Modified:
   trunk/BOOK/kde/add/kdenetwork.xml
   trunk/BOOK/multimedia/audioutils/audacious.xml
   trunk/BOOK/multimedia/libdriv/xine-lib.xml
   trunk/BOOK/multimedia/videoutils/ffmpeg.xml
   trunk/BOOK/multimedia/videoutils/mplayer.xml
   trunk/BOOK/multimedia/videoutils/xine-ui.xml
   trunk/BOOK/networking/netprogs/wpa_supplicant.xml
   trunk/BOOK/pst/printing/cups.xml
   trunk/BOOK/x/lib/qt.xml
   trunk/BOOK/xsoft/other/gimp.xml

Modified: trunk/BOOK/kde/add/kdenetwork.xml
==============================================================================
--- trunk/BOOK/kde/add/kdenetwork.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/kde/add/kdenetwork.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -89,7 +89,7 @@
     <xref linkend="jasper"/>, 
     <xref linkend="libidn"/>, 
     <xref linkend="speex"/>, 
-    <ulink url="http://hansdegoede.livejournal.com/3636.html">libv4l</ulink>,
+    <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>,
     <ulink url="http://ktorrent.org/">libktorrent</ulink>,
     <ulink url="http://sourceforge.net/projects/libmms/">libmms</ulink>,
     <ulink url="http://www.linphone.org/eng/documentation/dev/ortp.html">libortp</ulink>,
@@ -132,7 +132,7 @@
     <title>Command Explanations</title>
 
     <para><option>-DDISABLE_VIDEOSUPPORT=ON</option>: Set this option in case 
-    you don't have <application>libv4l</application> installed.</para>
+    you don't have <application>Video4Linux</application> installed.</para>
 
   </sect2>
 

Modified: trunk/BOOK/multimedia/audioutils/audacious.xml
==============================================================================
--- trunk/BOOK/multimedia/audioutils/audacious.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/multimedia/audioutils/audacious.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -245,6 +245,9 @@
     </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
   <sect2 role="commands">

Modified: trunk/BOOK/multimedia/libdriv/xine-lib.xml
==============================================================================
--- trunk/BOOK/multimedia/libdriv/xine-lib.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/multimedia/libdriv/xine-lib.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -34,8 +34,8 @@
     <para>
       The <application>xine Libraries</application> package contains xine
       libraries. These are useful for interfacing with external plug-ins that
-      allow the flow of information from the source to the screen and
-      speakers.
+      allow the flow of information from the source to the audio and video
+      hardware.
     </para>
 
     &lfs72_checked;
@@ -148,14 +148,14 @@
     <title>Command Explanations</title>
 
     <para>
-      <option>--disable-vcd</option>: This option is required to compile Xine
-      Lib without
+      <parameter>--disable-vcd</parameter>: This option is required to compile
+      <application>Xine Lib</application> without
       <ulink url="http://ftp.gnu.org/gnu/vcdimager/">VCDImager</ulink>
       installed. Remove this option if you have installed VCDImager.
     </para>
 
     <para>
-      <option>--docdir=/usr/share/xine-lib-&xine-lib-version;</option>: This
+      <parameter>--docdir=/usr/share/xine-lib-&xine-lib-version;</parameter>: This
       switch causes the documentation to be installed into a versioned
       directory instead of the default
       <filename class="directory">/usr/share/doc/xine-lib</filename>.

Modified: trunk/BOOK/multimedia/videoutils/ffmpeg.xml
==============================================================================
--- trunk/BOOK/multimedia/videoutils/ffmpeg.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/multimedia/videoutils/ffmpeg.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -104,7 +104,7 @@
       <ulink url="http://ftp.gnu.org/pub/gnu/libcdio/">libcdio</ulink>,
       <ulink url="http://sourceforge.net/projects/opencvlibrary/">libopencv</ulink>,
       <ulink url="http://sourceforge.net/projects/libdc1394/">libdc1394</ulink>,
-      <ulink url="http://linuxtv.org/downloads/v4l-utils/">libv4l2</ulink>, and
+      <ulink url="http://linuxtv.org/downloads/v4l-utils/">Video4Linux</ulink>, and
       <ulink url="http://www.nongnu.org/texi2html">texi2html</ulink>
         (to build HTML documentation).</para>
 

Modified: trunk/BOOK/multimedia/videoutils/mplayer.xml
==============================================================================
--- trunk/BOOK/multimedia/videoutils/mplayer.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/multimedia/videoutils/mplayer.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -100,7 +100,8 @@
 
     <note>
       <para>
-        Skins are only required to use the Gtk+ 2 user interface.
+        Skins are only required to use the <application>Gtk+ 2</application>
+        user interface.
       </para>
     </note>
 
@@ -124,7 +125,7 @@
       <ulink url="http://www.live555.com/mplayer/">LIVE555 Streaming Media</ulink>,
       <ulink url="http://rtmpdump.mplayerhq.hu/">RTMPDump</ulink>,
       <ulink url="http://code.google.com/p/vstream-client/">TiVo vstream client</ulink>
-        and
+      and
       <ulink url="http://www.xmms.org/">XMMS</ulink>
     </para>
 
@@ -275,6 +276,9 @@
       </para>
 
 <screen role="root"><userinput>install -v -m644 etc/*.conf /etc/mplayer</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
     </sect3>
 
     <sect3>

Modified: trunk/BOOK/multimedia/videoutils/xine-ui.xml
==============================================================================
--- trunk/BOOK/multimedia/videoutils/xine-ui.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/multimedia/videoutils/xine-ui.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -102,6 +102,9 @@
     </para>
 
 <screen role="root"><userinput>make docsdir=/usr/share/doc/xine-ui-&xine-ui-version; install</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
   <sect2 role="commands">
@@ -141,9 +144,9 @@
       </para>
 
       <para>
-        If you have a DVB TV card you can watch TV with the command
-        <command>xine dvb://</command> and change channel with the scroll wheel
-        on your mouse
+        If you have a DVB TV card, you can watch TV with the command
+        <command>xine dvb://</command> and change channels with the scroll wheel
+        on your mouse.
       </para>
     </sect3>
   </sect2>

Modified: trunk/BOOK/networking/netprogs/wpa_supplicant.xml
==============================================================================
--- trunk/BOOK/networking/netprogs/wpa_supplicant.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/networking/netprogs/wpa_supplicant.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -169,7 +169,7 @@
     <para>
       If you wish to use <application>WPA Supplicant</application> with
       <xref linkend="NetworkManager"/>, make sure that you have installed
-      <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add
+      <xref linkend="dbus"/> and <xref linkend="libxml2"/>, then add the
       following options to the <application>WPA Supplicant</application>
       build configuration file by running the following command:
     </para>
@@ -190,7 +190,7 @@
 
     <para>
       If you have installed <xref linkend="qt"/> and wish to build
-      <application>WPA Supplicant</application> GUI program, run
+      the <application>WPA Supplicant</application> GUI program, run
       the following commands:
     </para>
 
@@ -204,13 +204,15 @@
     </para>
 
     <para>
-      Now, as the <systemitem class="username">root</systemitem>
-      user:
+      Now, as the <systemitem class="username">root</systemitem> user:
     </para>
 
-<screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant} /sbin &&
-install -v -m644 doc/docbook/wpa_supplicant.conf.5 /usr/share/man/man5 &&
-install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 /usr/share/man/man8</userinput></screen>
+<screen role="root"><userinput>install -v -m755 wpa_{cli,passphrase,supplicant}               \
+                 /sbin                                         &&
+install -v -m644 doc/docbook/wpa_supplicant.conf.5             \
+                 /usr/share/man/man5                           &&
+install -v -m644 doc/docbook/wpa_{cli,passphrase,supplicant}.8 \
+                 /usr/share/man/man8</userinput></screen>
 
     <para>
       If you have built <application>WPA Supplicant</application> with
@@ -222,27 +224,31 @@
 
 <screen role="root"><userinput>install -v -m644 dbus/fi.{epitest.hostap.WPASupplicant,w1.wpa_supplicant1}.service \
                  /usr/share/dbus-1/system-services &&
-install -v -m644 dbus/dbus-wpa_supplicant.conf /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
+install -v -m644 dbus/dbus-wpa_supplicant.conf \
+                 /etc/dbus-1/system.d/wpa_supplicant.conf</userinput></screen>
 
     <para>
-      If you have built <application>WPA Supplicant</application> GUI
+      If you have built the <application>WPA Supplicant</application> GUI
       program, install it by running the following commands as the
       <systemitem class="username">root</systemitem> user:
     </para>
 
-<screen role="root"><userinput>install -m755 wpa_gui-qt4/wpa_gui /usr/bin/ &&
-install -m644 doc/docbook/wpa_gui.8 /usr/share/man/man8/ &&
-install -m644 wpa_gui-qt4/wpa_gui.desktop /usr/share/applications/ &&
-install -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
+<screen role="root"><userinput>
+install -v -m755 wpa_gui-qt4/wpa_gui           /usr/bin/ &&
+install -v -m644 doc/docbook/wpa_gui.8         /usr/share/man/man8/ &&
+install -v -m644 wpa_gui-qt4/wpa_gui.desktop   /usr/share/applications/ &&
+install -v -m644 wpa_gui-qt4/icons/wpa_gui.svg /usr/share/pixmaps/</userinput></screen>
 
     <note>
       <para>
-        You will need to restart system <application>D-Bus</application> daemon
-        before you can use <application>WPA Supplicant</application>
+        You will need to restart the system <application>D-Bus</application> daemon
+        before you can use the <application>WPA Supplicant</application>
         <application>D-Bus</application> interface.
       </para>
     </note>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-desktop-database.xml"/>
   </sect2>
 
   <sect2 role="configuration">
@@ -262,7 +268,7 @@
       <title>Configuration Information</title>
 
       <para>
-        To connect to an access point that uses a password you need to put
+        To connect to an access point that uses a password, you need to put
         the pre-shared key in <filename>/etc/wpa_supplicant.conf</filename>. Use
         <command>wpa_passphrase</command> to generate this. SSID is the string
         that the access point/router transmits to identify itself. As the

Modified: trunk/BOOK/pst/printing/cups.xml
==============================================================================
--- trunk/BOOK/pst/printing/cups.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/pst/printing/cups.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -138,13 +138,13 @@
         There is a conflict between the <application>Cups</application>
         <application>libusb</application> backend and the usblp kernel
         driver. If you want to use <application>Cups</application> with
-        <application>libusb</application> <emphasis>do not</emphasis>
+        <application>libusb</application>, <emphasis>do not</emphasis>
         enable USB Printer support in your kernel.
       </para>
     </note>
 
     <para>
-      If you want to use the kernel usblp driver enable the following
+      If you want to use the kernel usblp driver, enable the following
       options in your kernel configuration and recompile the kernel:
     </para>
 
@@ -158,7 +158,7 @@
     [*]   USB Printer support</screen>
 
     <para>
-      If you have a parallel printer enable the following options in your
+      If you have a parallel printer, enable the following options in your
       kernel configuration and recompile the kernel:
     </para>
 
@@ -179,7 +179,7 @@
     <title>Installation of Cups</title>
 
     <para>
-      You will need to add the <systemitem class="username">lp</systemitem>
+      You will need to add an <systemitem class="username">lp</systemitem>
       user, as <application>Cups</application> will create some files owned
       by this user. (The <systemitem class="username">lp</systemitem> user
       is the default used by <application>Cups</application>, but may be
@@ -191,7 +191,7 @@
 <screen role="root"><userinput>useradd -c "Print Service User" -d /var/spool/cups -g lp -s /bin/false -u 9 lp</userinput></screen>
 
     <para>
-      You will also need dedicated group that will contain users allowed to
+      You will also need a dedicated group that will contain users allowed to
       do <application>Cups</application> administrative tasks. Add the group
       by running the following command as the
       <systemitem class="username">root</systemitem> user:
@@ -200,7 +200,7 @@
 <screen role="root"><userinput>groupadd -g 19 lpadmin</userinput></screen>
 
     <para>
-      If you want to add an user to the <application>Cups</application>
+      If you want to add a user to the <application>Cups</application>
       administrative group, run the following command as the
       <systemitem class="username">root</systemitem> user:
     </para>
@@ -269,7 +269,7 @@
 ln -sv ../cups/doc /usr/share/doc/cups-&cups-version;</userinput></screen>
 
     <para>
-      Create basic <application>Cups</application> client configuration
+      Create a basic <application>Cups</application> client configuration
       file by running the following command as the
       <systemitem class="username">root</systemitem> user:
     </para>
@@ -277,7 +277,7 @@
 <screen role="root"><userinput>echo "ServerName /var/run/cups/cups.sock" > /etc/cups/client.conf</userinput></screen>
 
     <para>
-      Remove filters that are now part of <application>Cups Filters</application>
+      Remove filters that are now part of the <application>Cups Filters</application>
       package by running the following commands as the
       <systemitem class="username">root</systemitem> user:
     </para>
@@ -285,6 +285,8 @@
 <screen role="root"><userinput>rm -rf /usr/share/cups/banners &&
 rm -rf /usr/share/cups/data/testprint</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/gtk-update-icon-cache.xml"/>
   </sect2>
 
   <sect2 role="commands">
@@ -292,15 +294,14 @@
 
     <para>
       <parameter>--with-rcdir=/tmp/cupsinit</parameter>: This switch tells
-      build process to install the shipped bootscript into
+      the build process to install the shipped bootscript into
       <filename class="directory">/tmp</filename> instead of
       <filename class="directory">/etc/rc.d</filename>.
     </para>
 
-<!-- There isn't any class="group" so I had to use class="username" here -->
     <para>
       <parameter>--with-system-groups=lpadmin</parameter>: This switch ensures
-      that only <systemitem class="username">lpadmin</systemitem> will be used as
+      that only <systemitem class="groupname">lpadmin</systemitem> will be used as
       the <application>Cups</application> administrative group.
     </para>
 
@@ -316,9 +317,9 @@
     </para>
 
     <para>
-      <option>--disable-gnutls --enable-openssl</option>: This switch tells build
+      <option>--disable-gnutls --enable-openssl</option>: This switch tells the build
       process to use <xref linkend="openssl"/> instead of <xref linkend="gnutls"/>.
-      Current version of <application>GnuTLS</application> might produce lot of
+      The current version of <application>GnuTLS</application> might produce lot of
       warnings during the <application>Cups</application> build.
     </para>
 
@@ -361,7 +362,7 @@
 
       <para>
         If you have built <application>Cups</application> with
-        <application>PAM</application> support, create
+        <application>PAM</application> support, create a
         BLFS specific <application>PAM</application>
         configuration file by running the following command as
         the <systemitem class="username">root</systemitem> user:
@@ -384,7 +385,7 @@
       <title>Boot Script</title>
 
       <para>
-        If you want the <application>Cups</application> to start
+        If you want the <application>Cups</application> print service to start
         automatically when the system is booted, install the init
         script included in the <xref linkend="bootscripts"/>
         package:

Modified: trunk/BOOK/x/lib/qt.xml
==============================================================================
--- trunk/BOOK/x/lib/qt.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/x/lib/qt.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -80,10 +80,11 @@
     <para role="recommended">
       <xref linkend="dbus"/>,
       <xref linkend="libjpeg"/>,
-      <xref linkend="libmng"/>,
+      <xref linkend="libmng"/> and
       <xref linkend="libtiff"/>,
-      <xref linkend="libpng"/> and
-      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio)
+      <!-- previously required dependency <xref linkend="libpng"/> and -->
+      <!-- installed in LFS
+      <xref linkend="pkgconfig"/> (needed to use D-Bus, GLib, GTK and PulseAudio) -->
     </para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>

Modified: trunk/BOOK/xsoft/other/gimp.xml
==============================================================================
--- trunk/BOOK/xsoft/other/gimp.xml	Fri Feb  1 14:29:43 2013	(r10988)
+++ trunk/BOOK/xsoft/other/gimp.xml	Fri Feb  1 14:31:14 2013	(r10989)
@@ -199,6 +199,8 @@
 <screen role="root"><userinput>make install &&
 chown -R root:root /usr/share/gimp/2.0/help</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+      href="../../xincludes/update-icons-and-desktop.xml"/>
   </sect2>
 
   <sect2 role="commands" id="gimp-cmd-explanations">
@@ -229,12 +231,12 @@
     <para><option>--disable-python</option>: This option is necessary if
     you have not installed <application>PyGTK</application>.</para>
 
-    <para><option>./autogen.sh --prefix=/usr</option>: in this case, using
+    <para><parameter>./autogen.sh --prefix=/usr</parameter>: In this case, using
     <command>autoreconf</command> to regenerate <filename>configure</filename>
     does not work, because of how the gimp-help developers chose to address
     problems with the autotools.</para>
 
-    <para><option>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</option>:
+    <para><parameter>xzcat ../gimp-help-2.8.0-build_fixes-1.patch.xz</parameter>:
     this patch is large, so it has been compressed with
     <application>xz</application>.  You are encouraged to be suspicious of
     all patches until you have looked at them. Use <command>view</command>



More information about the blfs-book mailing list